org.deidentifier.arx.gui.model

## Class ModelDPresenceCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelImplicitCriterion
    - - org.deidentifier.arx.gui.model.ModelDPresenceCriterion

All Implemented Interfaces:
  java.io.Serializable

    public class ModelDPresenceCriterion
    extends ModelImplicitCriterion

This class implements a model for the d-presence criterion.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelDPresenceCriterion()` Creates a new instance
`ModelDPresenceCriterion(double dmin, double dmax)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelDPresenceCriterion` `clone()` Clone
`PrivacyCriterion` `getCriterion(Model model)` Implement this to return the criterion.
`double` `getDmax()` Returns dmax.
`double` `getDmin()` Returns dmin.
`java.lang.String` `getLabel()` Implement this to return a string representation.
`void` `parse(ModelCriterion criterion, boolean _default)` Parse
`void` `setDmax(double dmax)` Sets dmax.
`void` `setDmin(double dmin)` Sets dmin.
`java.lang.String` `toString()` Implement this to return a string representation.

### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

`isEnabled, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelDPresenceCriterion

    public ModelDPresenceCriterion()

Creates a new instance

#### ModelDPresenceCriterion

    public ModelDPresenceCriterion(double dmin,
                                   double dmax)

Creates a new instance

Parameters:
  `dmin` -
  `dmax` -

### Method Detail

#### clone

    public ModelDPresenceCriterion clone()

Description copied from class: `ModelCriterion`
Clone

Specified by:
  `clone` in class `ModelCriterion`

#### getCriterion

    public PrivacyCriterion getCriterion(Model model)

Description copied from class: `ModelCriterion`
Implement this to return the criterion.

Specified by:
  `getCriterion` in class `ModelCriterion`
Returns:

#### getDmax

    public double getDmax()

Returns dmax.

Returns:

#### getDmin

    public double getDmin()

Returns dmin.

Returns:

#### getLabel

    public java.lang.String getLabel()

Description copied from class: `ModelCriterion`
Implement this to return a string representation.

Specified by:
  `getLabel` in class `ModelCriterion`
Returns:

#### parse

    public void parse(ModelCriterion criterion,
                      boolean _default)

Description copied from class: `ModelCriterion`
Parse

Specified by:
  `parse` in class `ModelCriterion`
  `_default` - Defines whether the model represents a typical parameter configuration for the criterion

#### setDmax

    public void setDmax(double dmax)

Sets dmax.

Parameters:
  `dmax` -

#### setDmin

    public void setDmin(double dmin)

Sets dmin.

Parameters:
  `dmin` -

#### toString

    public java.lang.String toString()

Description copied from class: `ModelCriterion`
Implement this to return a string representation.

Specified by:
  `toString` in class `ModelCriterion`